<h1>Add new product</h1>
<form [formGroup]="productForm!" (ngSubmit)="createProduct()">
  <div>
    <label for="title">Title</label>
    <input id="title" formControlName="title" required />
    @if (
      productForm?.controls?.title?.touched &&
      productForm?.controls?.title?.invalid
    ) {
      <span class="help-text">Le titre est requis</span>
    }
  </div>
  <div>
    <label for="price">Price</label>
    <input id="price" formControlName="price" required />
    @if (
      productForm?.controls?.price?.hasError('priceMaximum')
    ) {
      <span class="help-text">Le prix ne doit pas dépasser 100€</span>
    }
  </div>
  <div>
    <label for="category">Category</label>
    <select id="category" formControlName="category">
      <option>Select a category</option>
      <option value="computers">Computers</option>
      <option value="peripherals">Peripherals</option>
      <option>Other</option>
    </select>
  </div>
  <h2>Additional details</h2>
  <form formGroupName="extra">
    <div>
      <label for="descr">Description</label>
      <input id="descr" formControlName="description" />
    </div>
    <div>
      <label for="photo">Photo URL</label>
      <input id="photo" formControlName="image" />
    </div>
  </form>
  <div>
    <button type="submit" [disabled]="productForm!.invalid">Create</button>
  </div>
</form>
